Status: Work in progress Start date: 10/29/2019

Priority: Normal Due date:

Assignee: Gennadiy Lukhanin % Done: 70%

Category: artdag-database Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Experiment: - Co-Assignees:

Description

Add the ability to return the last archived run number.

Related issues:

Related to ArtDaq RunControl GUI - Feature #23769: Display run number Closed 12/16/2019

History

#1 - 11/08/2019 05:13 PM - Gennadiy Lukhanin
- % Done changed from 0 to 70

- Status changed from New to Work in progress

#2 - 01/09/2020 12:48 PM - Iker de Icaza Astiz
- Related to Feature #23769: Display run number added

#3 - 01/13/2020 12:03 PM - Iker de Icaza Astiz

On the Run Control GUI we are currently using show_recent_runs.sh and parsing the output to show the current run number.

However | feel like a cleaner way and easier to maintain in the future would be to have daginterface writing a local variable that we can read.

#4 - 01/14/2020 05:16 PM - John Freeman

Please note that you can have the GUI directly control the run number - i.e., instead of it calling

send_transition.sh start

and having DAQInterface figure out the highest run number and then add +1 to it, you could make the run number explicit when sending the start

transition, like so:

send_transition.sh start <run number>

...and DAQinterface will use whatever you pass it. That way the GUI will know all along what the run number is.
